org.apache.ignite.internal.sql

## Class SqlLexerLookAheadToken

- java.lang.Object
- - org.apache.ignite.internal.sql.SqlLexerLookAheadToken

All Implemented Interfaces:
  SqlLexerToken

    public class SqlLexerLookAheadToken
    extends Object
    implements SqlLexerToken

Plain immutable look-ahead parser token.

### Constructor Summary

Constructors
Constructor and Description
`SqlLexerLookAheadToken(String sql, String token, int tokenPos, SqlLexerTokenType tokenTyp)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `sql()`
`String` `token()`
`char` `tokenFirstChar()`
`int` `tokenPosition()`
`SqlLexerTokenType` `tokenType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SqlLexerLookAheadToken

    public SqlLexerLookAheadToken(String sql,
                                  String token,
                                  int tokenPos,
                                  SqlLexerTokenType tokenTyp)

Constructor.

Parameters:
  `sql` - Original SQL.
  `token` - Token.
  `tokenPos` - Token position.
  `tokenTyp` - Token type.

### Method Detail

#### sql

    public String sql()

Specified by:
  `sql` in interface `SqlLexerToken`
Returns:
  Original SQL.

#### token

    public String token()

Specified by:
  `token` in interface `SqlLexerToken`
Returns:
  Current token.

#### tokenFirstChar

    public char tokenFirstChar()

Specified by:
  `tokenFirstChar` in interface `SqlLexerToken`
Returns:
  First character of the current token.

#### tokenPosition

    public int tokenPosition()

Specified by:
  `tokenPosition` in interface `SqlLexerToken`
Returns:
  Current token start position.

#### tokenType

    public SqlLexerTokenType tokenType()

Specified by:
  `tokenType` in interface `SqlLexerToken`
Returns:
  Token type.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022